#ifndef HARKTOOL4_SRCMICPAIR_HPP
#define HARKTOOL4_SRCMICPAIR_HPP

namespace harktool4
{

struct SrcMicPair
{
    unsigned int src_index;
    unsigned int mic_index;

    SrcMicPair(unsigned int src_index, unsigned int mic_index)
        : src_index(src_index), mic_index(mic_index)
    { }

    bool operator<(const SrcMicPair& rhs) const
    {
        return src_index < rhs.src_index ||
            (src_index == rhs.src_index && mic_index < rhs.mic_index);
    }
};

}

#endif // HARKTOOL4_SRCMICPAIR_HPP

